Query Application Objects
Returns Planning objects that match the specified query.
Required Roles
Service Administrator
REST Resource
GET /HyperionPlanning/rest/v3/applications/{application}/objects
Request
Table 3-13 Request Parameters
| Name | Description | Type | Required | Default |
|---|---|---|---|---|
application
|
The name of the application. | path | Yes | None |
q
|
The JSON filter used to select matching objects. | query | No | None |
offset
|
The zero-based index of the first object to return. | query | No | 0 |
limit
|
The maximum number of objects to return, up to 5000. | query | No | 25 |
fields
|
The comma-separated object fields to include in the response. | query | No | None |
orderBy
|
The object field used to order the results. | query | No | None |
Use objectType "Composite Form" to find dashboards. businessConcepts matches positive associations; excludedBusinessConcepts matches explicit exclusions.
Use businessConceptAssociations with $elemMatch when a concept and relationship must match the same association.
Example URL
https://<BASE-URL>/HyperionPlanning/rest/v3/applications/Vision/objects?q=%7B%22objectType%22%3A%22Form%22%2C%22businessConcepts%22%3A%22CUSTOM.SALES%22%7D&offset=0&limit=25&fields=id%2Cname%2CobjectType%2Cpath%2CbusinessConcepts&orderBy=name
Response
Supported Media Types: application/json
Table 3-14 Response Parameters
| Name | Description |
|---|---|
items
|
The Planning objects matching the query. |
items[].id
|
The UUID of the object. |
items[].name
|
The name of the object. |
items[].objectType
|
The type of Planning object. |
items[].path
|
The path of the object from the root folder. |
items[].businessConcepts
|
The positive Business Concept codes associated with the object. |
totalResults
|
The number of objects returned in this response. |
hasMore
|
Indicates whether additional matching objects are available. |
Sample Response
{
"items": [
{
"id": "da2f51ec-d322-48a7-0000-ca7360e3335f",
"name": "Revenue Planning",
"objectType": "Form",
"path": "/Library/Revenue Planning",
"businessConcepts": [
"CUSTOM.SALES"
]
}
],
"totalResults": 1,
"hasMore": false
}